Subject: Re: bug#79419: "automake --add-missing" should not install an obsolete texinfo.tex file

From: Vincent Lefevre <[email-masked]>
Date: Thu, 11 Sep 2025 10:48:25 +0200

On 2025-09-10 15:11:58 -0600, Karl Berry wrote:
> For example, one could imagine running kpsewhich texinfo.tex and
> comparing versions (already prone to problems) ... but you might be
> making a test or other hierarchy where you explicitly do not want the
> behavior to depend on what the current system has installed.

"kpsewhich texinfo.tex" seems to be a way to get the correct path.
But if there is any problem with it, I'm wondering whether the path
should be provided at Automake build time (possibly as a list of
directories, as usual search paths): it would be provided either
by a distribution or by a user who builds Automake.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Pascaline project (LIP, ENS-Lyon)